# virtual-star
Static site builder for a blog site, for deployment to neocities or via included static-server docker container.

## Install

- Clone this repository, and run `npm i`.
- Set up a `.env` file if desired.

### Configure
In your `.env` file, or as environment vars:

- `VS_DEBUG`: set to `true` to enable more logging, `false` otherwise (default: `false`).
- `VS_INPUT_DIR`: change the input directory (default: `content/`).
- `VS_OUTPUT_DIR`: change the output directory (default: `build/`).

## Usage

### Build
_Converts .md files in the input directory to .html files in the output directory._

- `npm run build`

### Serve
_Statically serves files in the output directory_

- `npm run serve`
